#ifndef COMMON_H
#define COMMON_H

enum {
    NORMAL = 0,     // 正常（缺省值)
    BREAKAGE = 3,   // 断刀
    CHIPPING = 2,   // 崩刃
    WEAR = 1        // 磨损
};

//#define DEBUG_PRINT(fmt, ...) debug_printf(" [%s] " fmt, __func__, ##__VA_ARGS__)
//#define DEBUG_PRINT(fmt, ...) printf("[%s] " fmt, __func__, ##__VA_ARGS__)
#define DEBUG_PRINT
void debug_printf(const char *fmt, ...);
void measure_time(struct timeval *start);
bool isFeatureValid(const std::vector<float>& fea);
#endif // COMMON_H
